Package uk.co.mccombe.mapping

# Class NZTM2000

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection
uk.co.mccombe.mapping.TransverseMercator
uk.co.mccombe.mapping.NZTM2000

public class NZTM2000 extends TransverseMercator

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.TransverseMercator

`northernHemisphere, zone`

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Constructor
Description
`NZTM2000(ENPair en, Ellipsoid e, Datum d)`
`NZTM2000(Position p, Ellipsoid e, Datum d)`

## Method Summary

Modifier and Type
Method
Description
`Datum`
`defaultDatum()`
Get the defaul Datum for an instance of CoordinateSystem.
`Ellipsoid`
`defaultEllipsoid()`
Define the default Ellipsoid for this system
`double`
`e0()`
False Eastimg (metres)
`double`
`f0()`
Define scale factor
`protected static ENPair`
`getEN(String gridref)`
Parse NZMG coordinates into easting and northing distances
`double`
`lamda0()`
The central meridian
`static NZTM2000`
`makePoint(String gridref, Ellipsoid e, Datum d)`
Static factory method to create an instance of NZMG from a grid reference String
`double`
`n0()`
Define false northing
`double`
`phi0()`
Define latitude of true origin
`String`
`toString()`
Provide a String representing the position in a correct format for the CoordinateSystem

### Methods inherited from class uk.co.mccombe.mapping.TransverseMercator

`gridConvergence, pointScaleFactor, toEN`

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NZTM2000

public NZTM2000(Position p, Ellipsoid e, Datum d)

### NZTM2000

public NZTM2000(ENPair en, Ellipsoid e, Datum d)

## Method Details

### makePoint

public static NZTM2000 makePoint(String gridref, Ellipsoid e, Datum d) throws GridFormatException
Static factory method to create an instance of NZMG from a grid reference String

Parameters:
  `gridref` - A grid reference of the form "157203 mE 6752091 mN " where the values are easting and northing distances in m
  `e` - Ellipsoid to use in conversions
  `d` - Datum to use in conversions
Returns:
  A new LambertI instance
Throws:
  `GridFormatException` - thrown in case of format error in the grid reference

### getEN

protected static ENPair getEN(String gridref) throws GridFormatException
Parse NZMG coordinates into easting and northing distances

Parameters:
  `gridref` - A pair of NZMG coordinates (e.g. "2487100.638 mE 6751049.719 mN), specified in m.
Returns:
  Easting and Northing distances (m)
Throws:
  `GridFormatException` - Invalid coordinate format results in a GridFormatException being thrown

### f0

public double f0()
Define scale factor

Specified by:
  `f0` in class `TransverseMercator`
Returns:
  Scale factor at central meridian

### phi0

public double phi0()
Define latitude of true origin

Specified by:
  `phi0` in class `TransverseMercator`
Returns:
  Latitude of true origin (degrees)

### n0

public double n0()
Define false northing

Specified by:
  `n0` in class `TransverseMercator`
Returns:
  False northing value (metres)

### e0

public double e0()
False Eastimg (metres)

Specified by:
  `e0` in class `TransverseMercator`
Returns:
  False easting value (metres)

### lamda0

public double lamda0()
The central meridian

Specified by:
  `lamda0` in class `TransverseMercator`
Returns:
  The central meridian (radians)

### defaultEllipsoid

public Ellipsoid defaultEllipsoid()
Define the default Ellipsoid for this system

Specified by:
  `defaultEllipsoid` in class `CoordinateSystem`
Returns:
  Ellipsoid.GRS80

### defaultDatum

public Datum defaultDatum()
Description copied from class: `CoordinateSystem`
Get the defaul Datum for an instance of CoordinateSystem. For example, instances of OSGB usually use the OSGB 1936 datum.

Specified by:
  `defaultDatum` in class `CoordinateSystem`
Returns:
  The default Datum used by this instance of CoordinateSystem

### toString

public String toString()
Description copied from class: `CoordinateSystem`
Provide a String representing the position in a correct format for the CoordinateSystem

Specified by:
  `toString` in class `CoordinateSystem`
Returns:
  String